; fxLib.ASM                                                                  ;
; Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.   ;

;****************************************************************************;
;                                                                            ;
; Function declarations for PCX Effects, for Assembly Language.              ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
;                                                                            ;
; Microsoft ASM 5.x version.              Programmer: Chris Howard  5/25/89  ;
;                                                                            ;
;****************************************************************************;


;Effects
fxMINEFFECT  equ    0
fxWIPE       equ    0                       ;Wipe    
fxSPLIT      equ    1                       ;Split   
fxCRUSH      equ    2                       ;Crush   
fxSLIDE      equ    3                       ;Slide   
fxSAND       equ    4                       ;Sand    
fxDRIP       equ    5                       ;Drip    
fxEXPLODE    equ    6                       ;Explode 
fxDIAGONAL   equ    7                       ;Spiral  
fxSPIRAL     equ    8                       ;Diagonal
fxRANDOM     equ    9                       ;Random  
fxMAXEFFECT  equ    9


;Palette */
fxFADEOUT    equ    1000                    ;Fade out
fxFADEIN     equ    1001                    ;Fade in 

;Directions */
fxNONE       equ    0                       ;No direction
fxLEFT       equ    1                       ;Left 
fxRIGHT      equ    2                       ;Right
fxUP         equ    4                       ;Up   
fxDOWN       equ    8                       ;Down 
fxHORIZ      equ    1                       ;Horizontal
fxVERT       equ    2                       ;Vertical
fxOUT        equ    1                       ;Out
fxIN         equ    2                       ;In 

;Grain */
fxMINGRAIN   equ    2                       ;Minimum grain
fxMAXGRAIN   equ    64                      ;Maximum grain

;Delay */
fxMINDELAY   equ    0                       ;Minimum delay
fxMAXDELAY   equ    500                     ;Maximum delay

;Miscellaneous */
fxTRUE       equ    1                       ;True
fxFALSE      equ    0                       ;False
fxON         equ    fxTRUE                  ;On   
fxOFF        equ    fxFALSE                 ;Off  

;Error codes */
fxSUCCESS       equ pcxSUCCESS              ;Successful                
fxERR_ESCAPE    equ pcxERR_ESCAPE           ;Escape key was pressed    
fxERR_BADEFFECT equ -1000                   ;Effect not defined/invalid
fxERR_BADGRAIN  equ -1001                   ;Grain  not defined/invalid
fxERR_BADDELAY  equ -1002                   ;Delay  not defined/invalid


